Skip to content

Queries using the input request criteria.

Request

The API supports full text search on string fields, range queries on date, numeric or string fields, along with geo-spatial search. Required roles: 'users.datalake.viewers' or 'users.datalake.editors' or 'users.datalake.admins'. In addition, users must be a member of data groups to access the data.

Security
bearer
Headers
data-partition-idstringrequired

desired data partition id

Bodyapplication/json
kindstring or Array of stringsrequired
Example:"slb-osdu-prod-des-prod-testing:welldb:wellbore:1.0.0"
One of:

'kind' to search

string
limitinteger, (int32), >= 0

The maximum number of results to return from the given offset. If no limit is provided, then it will return 10 items. Max number of items which can be fetched by the query is 1000. (If you wish to fetch large set of items, please use query_with_cursor API)

Example:30
querystring

The query string in Lucene query string syntax.

Example:"data.Basin:\"Ft. Worth\""
returnedFieldsArray of strings

The fields on which to project the results.

Example:
[ "data.kind" ]
sortobject(SortQuery)
queryAsOwnerboolean

The queryAsOwner switches between viewer and owner to return results that you are entitled to view or results you are the owner of.

Example:false
spatialFilterobject(SpatialFilter)
offsetinteger, (int32), >= 0

The starting offset from which to return results.

Example:0
curl -i -X POST \
  https://as5.api.enterprisedata.slb.com/api/search/v2/query \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'data-partition-id: string' \
  -d '{
    "kind": "slb-osdu-prod-des-prod-testing:welldb:wellbore:1.0.0",
    "limit": 30,
    "query": "data.Basin:\"Ft. Worth\"",
    "returnedFields": [
      "data.kind"
    ],
    "queryAsOwner": false,
    "offset": 0
  }'

Responses

Success

Bodyapplication/json
resultsArray of objects
aggregationsArray of objects(AggregationResponse)
totalCountinteger, (int64)
Response
{ "results": [ {} ], "aggregations": [ { … } ], "totalCount": 0 }